> For the complete documentation index, see [llms.txt](https://rc.sunbird.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rc.sunbird.org/registry/api-reference.md).

# API REFERENCE

- [Schema](https://rc.sunbird.org/registry/api-reference/schema.md)
- [Create Schema](https://rc.sunbird.org/registry/api-reference/schema/create-schema.md)
- [Get Schema](https://rc.sunbird.org/registry/api-reference/schema/get-schema.md)
- [Update Schema](https://rc.sunbird.org/registry/api-reference/schema/update-schema.md)
- [Delete Schema](https://rc.sunbird.org/registry/api-reference/schema/delete-schema.md)
- [Publish A Schema](https://rc.sunbird.org/registry/api-reference/schema/publish-a-schema.md)
- [Registry](https://rc.sunbird.org/registry/api-reference/registry.md)
- [Using The APIs](https://rc.sunbird.org/registry/api-reference/registry/using-the-apis.md)
- [Create An Entity](https://rc.sunbird.org/registry/api-reference/registry/create-an-entity.md): To create an entity, we need to make the following HTTP request
- [Invite An Entity](https://rc.sunbird.org/registry/api-reference/registry/invite-an-entity.md): To invite an entity, we need to make the following HTTP request
- [Generate token](https://rc.sunbird.org/registry/api-reference/registry/authenticating-as-an-entity.md)
- [Generate admin token](https://rc.sunbird.org/registry/api-reference/registry/generate-admin-token.md)
- [Get An Entity](https://rc.sunbird.org/registry/api-reference/registry/get-an-entity.md): To get an entity created by the owner, we need to make the following HTTP request
- [Get An Entity By Id](https://rc.sunbird.org/registry/api-reference/registry/get-an-entity-by-id.md): To get an entity, we need to make the following HTTP request
- [Update An Entity](https://rc.sunbird.org/registry/api-reference/registry/update-an-entity.md): To update an entity, we need to make the following HTTP request
- [Create A Property Of An Entity](https://rc.sunbird.org/registry/api-reference/registry/create-a-property-of-an-entity.md): To add property to an existing entity, we need to make the following HTTP request
- [Update A Property Of An Entity](https://rc.sunbird.org/registry/api-reference/registry/update-a-property-of-an-entity.md): To update the property of an existing entity, we need to make the following HTTP request
- [Revoke a Credential](https://rc.sunbird.org/registry/api-reference/registry/create-a-property-of-an-entity-1.md): To revoke an existing VC (Verifiable Credential) or an entity, we need to make the following HTTP request
- [Delete An Entity](https://rc.sunbird.org/registry/api-reference/registry/delete-an-entity.md): To soft delete an entity, we need to make the following HTTP request
- [Attestation API](https://rc.sunbird.org/registry/api-reference/attestation-api.md)
- [Raise An Attestation](https://rc.sunbird.org/registry/api-reference/attestation-api/raise-an-attestation.md)
- [Get Attestation Certificate](https://rc.sunbird.org/registry/api-reference/attestation-api/get-attestation-certificate.md)
- [Claims API](https://rc.sunbird.org/registry/api-reference/claims-api.md)
- [Get All Claims](https://rc.sunbird.org/registry/api-reference/claims-api/get-all-claims.md)
- [Get Claim by ID](https://rc.sunbird.org/registry/api-reference/claims-api/get-claim-by-id.md)
- [Attest A Claim](https://rc.sunbird.org/registry/api-reference/claims-api/attest-a-claim.md)
- [Discovery API](https://rc.sunbird.org/registry/api-reference/discovery-api.md)
- [Search An Entity](https://rc.sunbird.org/registry/api-reference/discovery-api/search-an-entity.md)
- [File Storage API](https://rc.sunbird.org/registry/api-reference/file-storage-api.md)
- [Upload A File](https://rc.sunbird.org/registry/api-reference/file-storage-api/upload-a-file.md)
- [Get Uploaded File](https://rc.sunbird.org/registry/api-reference/file-storage-api/get-uploaded-file.md)
- [Delete A File/ Multiple Files](https://rc.sunbird.org/registry/api-reference/file-storage-api/delete-a-file-multiple-files.md)
- [Metrics APIs](https://rc.sunbird.org/registry/api-reference/metrics-apis.md)
- [Get Count](https://rc.sunbird.org/registry/api-reference/metrics-apis/get-count.md)
- [Get Aggregates](https://rc.sunbird.org/registry/api-reference/metrics-apis/get-aggregates.md)
- [Other APIs](https://rc.sunbird.org/registry/api-reference/other-apis.md)
- [Sign API](https://rc.sunbird.org/registry/api-reference/other-apis/sign-api.md)
- [Verify API](https://rc.sunbird.org/registry/api-reference/other-apis/verify-api.md)
- [Swagger JSON API](https://rc.sunbird.org/registry/api-reference/other-apis/swagger-json-api.md)
- [Health API](https://rc.sunbird.org/registry/api-reference/other-apis/health-api.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://rc.sunbird.org/registry/api-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
